Subject: bug#57990: Add package: python-mat2 (remove metadata from images to improve privacy)

From: Chris Marusich <[email-masked]>
Date: Fri, 23 Sep 2022 19:13:38 -0700

Apologies for the top post.  I noticed this email and wanted to point you
to prior work, in case it proves useful:

https://issues.guix.gnu.org/31307#14

On Thu, Sep 22, 2022 at 12:24 PM Maxime Devos <[email-masked]>
wrote:

>
>
> On 22-09-2022 13:38, Dr. Arne Babenhauserheide wrote:
> >
> > Tobias Geerinckx-Rice <[email-masked]> writes:
> >
> >>> can I express "any version of ffmpeg"?
> >>
> >> No, this would go against the goals of Guix: packages can't depend on
> properties of the environment they'll end up in (if any).
> >
> > What’s the right way to deal with this, then? I need ffmpeg at as
> > propagated-input, but I do not want to create a conflict with a manifest
> > that just defines "ffmpeg".
>
> In one my replies, I have proposed a method that avoids propagating ffmpeg:
>
> > To avoid profile collisions when the user installed a different version
> of ffmpeg (e.g. ffmpeg@5) in their profile, could you modify the code to
> look at a /gnu/store/.../bin/ffmpeg instead?  Likewise for bubblewrap,
> gdk-pixbuf, poppler and librsvg, if feasible.
> >
> > For ffmpeg, the following function needs to be modified:
> >
> > https://0xacab.org/jvoisin/mat2/-/blob/master/libmat2/video.py#L139
> >
> > (substitute* + search-input-file can be useful).
>
> Greetings,
> Maxime.
>